/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/



/* --- FONTS --- */



@font-face {
    font-family: 'Inter';
    font-weight: 400;
    font-style: normal;
    src: url('...//wp-content/themes/generatepress_child/fonts/inter-v20-latin-regular.woff2'); /* IE9 Compat Modes */
    src: local(''),
       url('https://about.agiga.net/wp-content/themes/generatepress_child/fonts/inter-v20-latin-regular.woff2') format('woff2'); /* Legacy iOS */;
}


@font-face {
    font-family: 'Inter';
    font-weight: 500;
    font-style: normal;
    src: url('...//wp-content/themes/generatepress_child/fonts/inter-v20-latin-500.woff2'); /* IE9 Compat Modes */
    src: local(''),
       url('https://about.agiga.net/wp-content/themes/generatepress_child/fonts/inter-v20-latin-500.woff2') format('woff2'); /* Legacy iOS */;
}


@font-face {
    font-family: 'Inter';
    font-weight: 600;
    font-style: normal;
    src: url('...//wp-content/themes/generatepress_child/fonts/inter-v20-latin-600.woff2'); /* IE9 Compat Modes */
    src: local(''),
        url('https://about.agiga.net/wp-content/themes/generatepress_child/fonts/inter-v20-latin-600.woff2') format('woff2'); /* Legacy iOS */;
}


@font-face {
    font-family: 'Inter';
    font-weight: 700;
    font-style: normal;
    src: url('...//wp-content/themes/generatepress_child/fonts/inter-v20-latin-700.woff2'); /* IE9 Compat Modes */
    src: local(''),
        url('https://about.agiga.net/wp-content/themes/generatepress_child/fonts/inter-v20-latin-700.woff2') format('woff2'); /* Legacy iOS */;
}

@font-face {
    font-family: 'Inter';
    font-weight: 800;
    font-style: normal;
    src: url('...//wp-content/themes/generatepress_child/fonts/inter-v20-latin-800.woff2'); /* IE9 Compat Modes */
    src: local(''),
        url('https://about.agiga.net/wp-content/themes/generatepress_child/fonts/inter-v20-latin-800.woff2') format('woff2'); /* Legacy iOS */;
}

body{
	font-family: 'Inter';
}

h1, h2, h3 {
	font-family: 'Inter';
	font-size: 50px;
	font-style: normal;
	font-weight: 800;
	line-height: normal;
	letter-spacing: -2px;
}

.ps{
	font-size: 14px;
	line-height: 1.2em;
}

.subl {
    text-transform: uppercase;
    font-size: 18px;
	letter-spacing: 0px;
}

.subs {
    text-transform: uppercase;
    font-size: 16px;
	letter-spacing: 0px;
	font-weight: 400;
}



.hm{
	font-size: 30px;
	font-weight: 600;
	letter-spacing: -1px;
}

.hl{
    font-size: 45px;
    font-weight: 800;
    letter-spacing: -1px;
}

@media (max-width: 768px) {
	.hl{
		font-size: 35px;
		font-weight: 800;
		letter-spacing: -1px;
	}
}

.hs{
    font-size: 20px;
    font-weight: 600;
    letter-spacing: -0.4px;

}

.purple-gradient-title{
	background: linear-gradient(90deg, #B5B8F1 44.71%, #9076CC 100%);
	background-clip: text;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	font-weight: 800;
}

.dark-purple-gradient-title{
    background: linear-gradient(90deg, #7B81ED 44.71%, #3D5A7C 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: 800;
    display: inline-flex;
}

.highlight-gradient mark{
	    background: linear-gradient(90deg, #7B81ED 44.71%, #3D5A7C 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: 800;
    display: inline-flex;
}

.btn {
    font-size: 15px;
    border-radius: 4px;
    font-weight: 500;
    letter-spacing: -0.25px;
    padding: 15px 25px !important;

}

/* --- NAV BASE --- */

header#masthead {
    background: var(--contrast);
}

.inside-header.grid-container{
	max-width: 1800px;
}

.nav-float-right #site-navigation {
    margin-left: 0px !important;
    margin-right: auto;
}

.menu li a {
    color: var(--base) !important;
}

.main-navigation .main-nav ul li a {
    padding-left: 10px;
    padding-right: 10px;
}

.site-logo {
    margin-right: 40px;
}

.inside-header{
	font-family: 'Inter'
}

.main-navigation .main-nav ul li a{
	line-height: 40px;
	font-size: 14px !important;
	padding-left: 15px; padding-right: 15px;
}

.inside-header {
    padding: 20px 30px !important;
}

li#menu-item-35, li#menu-item-36, li#menu-item-37 {
    border: 1px solid #2B323C;
    border-radius: 4px;
	margin-right: 10px;
}

/* NAV SECONDARY */

.secondary-navigation .main-nav ul li a{
    font-size: 14px !important;
}

#menu-menu-secondaire {
	border-top: 1px solid #ffffff1f;
	padding-top: 10px; padding-bottom: 10px;
}
.secondary-nav-below-header .secondary-navigation .inside-navigation.grid-container, .secondary-nav-above-header .secondary-navigation .inside-navigation.grid-container, #secondary-navigation .main-nav  {
    flex: 1 !important;
}

.secondary-navigation, .secondary-navigation a{
	background-color: var(--contrast) !important;
	color: var(--base) !important;
}

#secondary-navigation .main-nav > ul {
	display: flex;
    flex-wrap: wrap;
    align-items: center;
	width: 100% !important;
}

#secondary-navigation .grid-container{
	max-width: 1800px !important;
}

#secondary-navigation ul li:nth-child(3) {
    margin-left: auto;
	background: red !important;
}

#secondary-navigation ul li:nth-child(6) {
    margin-right: auto;
	background: red !important;
}
#secondary-navigation ul a{
    padding-left: 10px !important;
    padding-right: 10px !important;
}

.stocklists a:before{
    content: "";
    height: 18px; width: 18px;
    margin-right: 5px;
    display: inline-flex;
    background-image: url("https://about.agiga.net/wp-content/themes/generatepress_child/assets/list.svg");
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    vertical-align: sub;
}

.stocklists a{
    color:#B5B5FF !important;
}

.bons-plans a{
    color:#F97316 !important;
}

.bons-plans a:before{
    content: "";
    height: 18px; width: 18px;
    margin-right: 5px;
    display: inline-flex;
    background-image: url("https://about.agiga.net/wp-content/themes/generatepress_child/assets/star.svg");
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    vertical-align: sub;
}


/* NAV MOBILE */

span.gp-icon.icon-menu-bars svg {
    fill: white;
}
@media (max-width: 768px) {
    nav#secondary-navigation {
        display: none;
    }
}

.slideout-navigation.main-navigation{
    background-color: var(--contrast) !important;
}

ul#menu-menu-mobile {
    padding: 15px;
}

.separateur{
    border-top:  1px solid  #ffffff1f;
    margin-top: 10px;
    padding-top: 10px;
}


.connexion a:before{
    content: "";
    height: 18px; width: 18px;
    margin-right: 5px;
    display: inline-flex;
    background-image: url("https://about.agiga.net/wp-content/themes/generatepress_child/assets/connexion.svg");
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    vertical-align: sub;
}

.panier a:before{
    content: "";
    height: 18px; width: 18px;
    margin-right: 5px;
    display: inline-flex;
    background-image: url("https://about.agiga.net/wp-content/themes/generatepress_child/assets/panier.svg");
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    vertical-align: sub;
}

/* --- LAYOUTS --- */


/* ANIMATIONS */

/* Reveal text */
.split-char {
    opacity: 0.1;
    display: inline-block;
    white-space: pre;
    position: relative;
}


.split-line {
    display: block;
    overflow: hidden;
    position: relative;
}

.split-line__inner {
    display: inline-block;
    will-change: transform;
}

.tag{
	border-radius: 100px;
	font-size: 14px;
	letter-spacing: -0.15px;
	border-radius: 16777200px;
	border: 1px solid rgba(255, 255, 255, 0.10);
	background: rgba(255, 255, 255, 0.05);
	display: inline-flex !important;
	padding: 9px 17px !important;
}

.blur{
	border-radius: 24px;
	border: 1px solid rgba(255, 255, 255, 0.10);
	background: rgba(255, 255, 255, 0.05);
	box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
}

/* testimonial-slider */

@media (max-width: 768px) {
    .testimonial-slider {
        max-width: 350px !important;
        width: 100%;
        margin-left: auto;
        margin-right: auto;
  }

    .testimonial .text {
        font-size: 15px !important;
    }
    .testimonial .author{
        font-size: 15px !important;
    }
}


.testimonial-slider {
    width: 100%;
    max-width: 600px;
    margin: 40px auto;
    padding: 0 15px; /* IMPORTANT mobile */
    box-sizing: border-box;
    position: relative;
}

.slider-wrapper {
    overflow: hidden;
}

.slider-track {
    display: flex;
    transition: transform 0.6s ease-in-out;
}

.slider-viewport {
    width: 100%;
    overflow: hidden;
    border-radius: 25px;
}

.testimonial {
    flex: 0 0 100%;
    width: 100%;
    padding: clamp(25px, 5vw, 40px) !important;
    background: var(--base-2);
    text-align: center;
    align-content: center;
}

.testimonial .text {
    font-size: 18px;
    margin-bottom: 20px;
}

.testimonial .author {
    font-weight: bold;
    color: #555;
}

.nav {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: transparent;
    color: var(--contrast-2);
    border: none;
    font-size: 28px;
    width: 45px;
    height: 45px;
    cursor: pointer;
    border-radius: 50%;
    z-index: 10;
}

.nav:hover, .nav:active, .nav:focus {
    background: transparent !important;
    color: var(--contrast-2);
}

.nav.prev {
    left: 3px;
}

.nav.next {
    right: 10px;
}


.lines {
  position: relative;
  display: flex;
  align-items: center;
  width: 100%;
  max-width: 600px;
  margin-left: 0px;
  margin-right: auto;
  margin-bottom: 25px;
}

.segment {
  width: 50%;
  height: 2px;
  background: #cfd4ff;
}

.gap {
  width: 60px; /* ≈ 30 cm visuels, ajustable */
  flex-shrink: 0;
}

.dot {
    position: absolute;
    top: 50%;
    left: 0;
    width: 25px;
    height: 25px;
    background: transparent;
    border-radius: 50%;
    transform: translateY(-50%);
    pointer-events: none;
    background-image: url("https://about.agiga.net/wp-content/themes/generatepress_child/assets/dot.svg");
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    vertical-align: sub;
}

